﻿@model IEnumerable<eCommerce.UI.ViewModels.ProductViewModel>
@using eCommerce.UI.Utils

    @foreach (var item in Model)
    {
        <div class="col-xs-12 col-sm-3 no-margin product-item-holder hover" style="width:100%;">
            <div class="product-item">

                @if (item.OnSale)
                {
                    <div class="ribbon red"><span>Sale</span></div>
                }

                @if (item.IsLastUnits)
                {
                    <div class="ribbon red"><span>Últimas Unidades</span></div>
                }

                @if (item.IsNew)
                {
                    <span class="new-span">New in</span>
                }

                @if (item.Outstanding)
                {
                    <div class="ribbon green"><span>Destacado</span></div>
                }

                

                <div class="image">
                    <a href="/@Utility.CataloguePrefix/@item.CategorySeoUrl/@item.SeoUrl">
                        <img src="@string.Format("{0}/{1}", Utility.ImgUrl, item.getDefaultResizedImageUrl)" class="primary-image" alt="...">
                        @if (item.hasSecondaryImage)
                        {
                            <img src="@string.Format("{0}/{1}", Utility.ImgUrl, item.getSecondaryDefaultResizedImageUrl)" class="secondary-image" style="display:none;" alt="...">
                        }
                    </a>
                </div>
                <div class="body" style="margin:0;text-align: left;margin-left: 5px;">
                    <div class="title">
                        <a href="/@Utility.CataloguePrefix/@item.CategorySeoUrl/@item.SeoUrl">@item.Title</a>
                    </div>
                    
                </div>
                <div class="prices" style="margin-left:5px;">
                    @if (item.CustomerOldPrice.HasValue)
                    {
                        <div class="price-prev">$@item.CustomerOldPrice.Value</div>
                    }
                    <div class="price-current">@(item.CustomerOldPrice.HasValue? " / " : string.Empty) $@item.CustomerPrice</div>
                </div>
                <div class="hover-area">
                    <div class="add-cart-button">
                        <a href="/@Utility.CataloguePrefix/@item.CategorySeoUrl/@item.SeoUrl" class="le-button">Ver detalle</a>
                    </div>

                </div>
            </div><!-- /.product-item -->
        </div><!-- /.product-item-holder -->
    }
    
